CREATE TABLE exm_spend_auth_lines (
    SPEND_AUTH_LINE_ID              NUMBER(18, 0),
    BALANCE_AMOUNT                  NUMBER       ,
    CLOSED_AMOUNT                   NUMBER       ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    PERSON_ID                       NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                   NUMBER(18, 0)    NOT NULL,
    SPEND_AUTHORIZATION_ID          NUMBER(18, 0)    NOT NULL,
    ITEMIZATION_PARENT_LINE_ID      NUMBER(18, 0),
    AUTHORIZED_AMOUNT               NUMBER       ,
    REQUESTED_CURRENCY_CODE         VARCHAR2(60) ,
    FUNCTIONAL_CURRENCY_CODE        VARCHAR2(60) ,
    DESCRIPTION                     VARCHAR2(960),
    JUSTIFICATION                   VARCHAR2(960),
    START_DATE                      DATE         ,
    END_DATE                        DATE         ,
    EXCHANGE_RATE                   NUMBER       ,
    EXPENSE_TEMPLATE_ID             NUMBER(18, 0),
    EXPENSE_TYPE_ID                 NUMBER(18, 0),
    EXPENSE_TYPE_CATEGORY_CODE      VARCHAR2(120),
    NUMBER_OF_ATTENDEES             NUMBER(3, 0) ,
    TRAVEL_TYPE                     VARCHAR2(120),
    TICKET_CLASS_CODE               VARCHAR2(120),
    POLICY_VIOLATED_FLAG            VARCHAR2(4)  ,
    JUSTIFICATION_REQUIRED_FLAG     VARCHAR2(4)  ,
    CHECKOUT_DATE                   DATE         ,
    EMPLOYEE_DEFAULT_COST_CENTER    VARCHAR2(100),
    ZONE_CODE                       VARCHAR2(120),
    AGENCY_NAME                     VARCHAR2(320),
    PASSENGER_NAME                  VARCHAR2(960),
    FLIGHT_DURATION                 NUMBER       ,
    TRIP_DISTANCE                   NUMBER       ,
    UOM_DAYS                        NUMBER       ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    FUNDS_STATUS_CODE               VARCHAR2(920),
    EXM_FUNDS_STATUS_CODE           VARCHAR2(120),
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE_CHAR1                 VARCHAR2(600),
    ATTRIBUTE_CHAR2                 VARCHAR2(600),
    ATTRIBUTE_CHAR3                 VARCHAR2(600),
    ATTRIBUTE_CHAR4                 VARCHAR2(600),
    ATTRIBUTE_CHAR5                 VARCHAR2(600),
    ATTRIBUTE_CHAR6                 VARCHAR2(600),
    ATTRIBUTE_CHAR7                 VARCHAR2(600),
    ATTRIBUTE_CHAR8                 VARCHAR2(600),
    ATTRIBUTE_CHAR9                 VARCHAR2(600),
    ATTRIBUTE_CHAR10                VARCHAR2(600),
    ATTRIBUTE_CHAR11                VARCHAR2(600),
    ATTRIBUTE_CHAR12                VARCHAR2(600),
    ATTRIBUTE_CHAR13                VARCHAR2(600),
    ATTRIBUTE_CHAR14                VARCHAR2(600),
    ATTRIBUTE_CHAR15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_DATETIME1             TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2             TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    SPEND_AUTH_LINE_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    PERSON_ID                       NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                   NUMBER(18, 0)    NOT NULL,
    SPEND_AUTHORIZATION_ID          NUMBER(18, 0)    NOT NULL,
    ITEMIZATION_PARENT_LINE_ID      NUMBER(18, 0),
    AUTHORIZED_AMOUNT               NUMBER       ,
    REQUESTED_CURRENCY_CODE         VARCHAR2(60) ,
    FUNCTIONAL_CURRENCY_CODE        VARCHAR2(60) ,
    DESCRIPTION                     VARCHAR2(960),
    JUSTIFICATION                   VARCHAR2(960),
    START_DATE                      DATE         ,
    END_DATE                        DATE         ,
    EXCHANGE_RATE                   NUMBER       ,
    EXPENSE_TEMPLATE_ID             NUMBER(18, 0),
    EXPENSE_TYPE_ID                 NUMBER(18, 0),
    EXPENSE_TYPE_CATEGORY_CODE      VARCHAR2(120),
    NUMBER_OF_ATTENDEES             NUMBER(3, 0) ,
    TRAVEL_TYPE                     VARCHAR2(120),
    TICKET_CLASS_CODE               VARCHAR2(120),
    POLICY_VIOLATED_FLAG            VARCHAR2(4)  ,
    JUSTIFICATION_REQUIRED_FLAG     VARCHAR2(4)  ,
    CHECKOUT_DATE                   DATE         ,
    EMPLOYEE_DEFAULT_COST_CENTER    VARCHAR2(100),
    ZONE_CODE                       VARCHAR2(120),
    AGENCY_NAME                     VARCHAR2(320),
    PASSENGER_NAME                  VARCHAR2(960),
    FLIGHT_DURATION                 NUMBER       ,
    TRIP_DISTANCE                   NUMBER       ,
    UOM_DAYS                        NUMBER       ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE_CHAR1                 VARCHAR2(600),
    ATTRIBUTE_CHAR2                 VARCHAR2(600),
    ATTRIBUTE_CHAR3                 VARCHAR2(600),
    ATTRIBUTE_CHAR4                 VARCHAR2(600),
    ATTRIBUTE_CHAR5                 VARCHAR2(600),
    ATTRIBUTE_CHAR6                 VARCHAR2(600),
    ATTRIBUTE_CHAR7                 VARCHAR2(600),
    ATTRIBUTE_CHAR8                 VARCHAR2(600),
    ATTRIBUTE_CHAR9                 VARCHAR2(600),
    ATTRIBUTE_CHAR10                VARCHAR2(600),
    ATTRIBUTE_CHAR11                VARCHAR2(600),
    ATTRIBUTE_CHAR12                VARCHAR2(600),
    ATTRIBUTE_CHAR13                VARCHAR2(600),
    ATTRIBUTE_CHAR14                VARCHAR2(600),
    ATTRIBUTE_CHAR15                VARCHAR2(600),
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    FUNDS_STATUS_CODE               VARCHAR2(920),
    EXM_FUNDS_STATUS_CODE           VARCHAR2(120),
    ATTRIBUTE_DATETIME1             TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2             TIMESTAMP(6) ,
    CLOSED_AMOUNT                   NUMBER       ,
    BALANCE_AMOUNT                  NUMBER       ,
    CONSTRAINT pk_exm_spend_auth_lines PRIMARY KEY (SPEND_AUTH_LINE_ID, SPEND_AUTH_LINE_ID)
);
